Instalando o Beryl + Drivers NVIDIA no Ubuntu 6.10 (Edgy)

Neste tutorial vou mostrar como instalar o Beryl no Ubuntu 6.10 (Edgy) usando a última versão dos drivers da NVIDIA, pois com os drivers nvidia-glx que acompanham o Ubuntu, o Beryl não funcionou, travando logo após sua inicialização.

[ Hits: 88.277 ]

Por: Joao Paulo Franqueto em 28/02/2007 | Blog: http://www.spectrum.eti.br


Introdução



Muitos que chegaram a ver a nova interface presente no Windows Vista, conhecida como "Aero", devem ter ficado abismados com a qualidade. Mas o Linux também tem interfaces semelhantes.

Uma delas é o Xgl e a outra o Beryl. Tanto uma como a outra tem os mesmos objetivos, que é utilizar o processamento das placas de vídeo modernas através de seus drivers OpenGL para acelerar e criar efeitos no Desktop.

Neste tutorial vou mostrar como instalar o Beryl no Ubuntu 6.10 (Edgy) usando a última versão dos drivers da NVIDIA, pois com os drivers nvidia-glx que acompanham o Ubuntu, o Beryl não funcionou, travando logo após sua inicialização.

    Próxima página

Páginas do artigo
   1. Introdução
   2. Instalando os drivers da NVIDIA
   3. Instalando o Beryl
Outros artigos deste autor
Nenhum artigo encontrado.
Leitura recomendada

Balanceamento e alta disponibilidade com Bonding

Usando Swap na RAM em Sabayon - ZRAM - Método novo

Controle de banda sem mistérios para servidores

Programando para um servidor IIS e administrando o Microsoft SQL Server via Linux

Instalação KickStart

  
Comentários
[1] Comentário enviado por Troy_DF em 01/03/2007 - 10:12h

Eu tive problemas em instalar os drives da minha placa de vídeo a uns dias atrás.
Pesquisando na net encontrei o utilitário do ubuntu chamado Automatix.
Esse programa testa o driver correto do nvidia e faz a instalação automatizada, além de ajudar na instalação de outros programas.

Quem estiver com dificuldades na instalação desse driver dê uma consultada nesse programa.

[2] Comentário enviado por metalrufflez em 01/03/2007 - 11:40h

QUOTE
"Uma delas é o Xgl e a outra o Beryl. Tanto uma como a outra tem os mesmos objetivos, que é utilizar o processamento das placas de vídeo modernas através de seus drivers OpenGL para acelerar e criar efeitos no Desktop. "

Na verdade o correto eh que existem dois subsistemas que rodam encima do X, que é o XGL e o AIGLX. E os gerenciadores de efeitos, que sao o Compiz e o Beryl. O Beryl precisa do XGL ou do AIGLX para funcionar

[3] Comentário enviado por joaopf em 01/03/2007 - 19:47h

Realmente matalrufflez, você está certo...

Referente ao Automatix, comentado pelo Troy_DF, tambem é possivel usá-lo. Mas ele não instala sempre a mesma versão do driver que está disponível no driver da NVIDIA, o que na maioria das vezes, não gera nenhum problema. Aqui tem mais informações sobre o Automatix,
http://www.spectrum.eti.br/news/instalando_o_automatix_no_ubuntu

[4] Comentário enviado por cacjorge em 11/03/2007 - 00:19h

Cara vlw demaissssss
aqui ficou muitoooo legal!
mas tenho uma correção a fazer:

deb http://beryl-mirror.lupine.me.uk edgy main

esse link nao existe mais!!! Agora é esse:

deb http://ubuntu.beryl-project.org/ edgy main

Testei aqui e funcionou tranquilo
^^ vlws de novo

[5] Comentário enviado por joaopf em 11/03/2007 - 10:10h

Isto mesmo cacjorge.
Vlw pelo complemento!

[6] Comentário enviado por madleit em 13/03/2007 - 08:59h

Pessoal... não consegui... tenho 2 problemas e como sou novato não sei como resolver:

1º Driver da NVIDIA: Tenho uma 7900GT e após instalar o driver meu xorg.conf fica assim:
Section “Device”
Identifier “NVIDIA Corporation NVIDIA Default Card”
Driver “nvidia”
BusID “PCI:6:0:0″
EndSection

Section “Monitor”
Identifier “SyncMaster”
Option “DPMS”
EndSection

Section “Screen”
Identifier “Default Screen”
Device “NVIDIA Corporation NVIDIA Default Card”
Monitor “SyncMaster”
DefaultDepth 24
SubSection “Display”

O detalhe é que ao iniciar abre a janela da Nvidia tudo certinho... :/

2º Beryl: No cara dura instalei o beryl assim mesmo... e quando executo o o baryl-manager ativa... vejo alguns dos efeitos de janela + não consigo, minimizar, fechar, maximizar nem mover as janelas...


Preciso de um Help sou novato e já tenho 2 dias tentando HUAHUAHAUA
Quem puder me ajudar please me adicione no aMSN: [email protected]
Ou poste aki a solução
Ou mande pro meu e-mail a configuração.

PS: Se possível me adicione no aMSN para tentar agilizar o processo.

[7] Comentário enviado por joaopf em 15/03/2007 - 22:32h

Olá madleit,

No arquivo xorg.conf, no adicione mais 2 parâmetros no Section "Screen", deixando assim:

Section “Screen”
Identifier “Default Screen”
Device “NVIDIA Corporation NVIDIA Default Card”
Monitor “SyncMaster”
DefaultDepth 24
Option "AddARGBGLXVisuals" "True"
Option "TripleBuffer" "true"
SubSection “Display”

Com esta alteração, acredito que funcione sem problemas...

[8] Comentário enviado por raug em 17/03/2007 - 17:39h

apos fazer todos os passo e executar o beryl recebo a seguinte mensagem no terminal:

[email protected]:~$ Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Error: couldn't find RGB GLX visual
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".


(sou super novato em linux, pode se dizer q comecei ontem rsrs)

obrigado

[9] Comentário enviado por joaopf em 19/03/2007 - 20:49h

tente fazer o seguinte:
edit o arquivo xorg.conf, com o comando sudo gedit /etc/X11/xorg.conf

e procure por Section "Device". Verifique se a linha deste bloco está como
Driver "nv". Caso esteja, altere para Driver "nvidia".

Verifique tambem se você incluiu as linhas:
Option "AddARGBGLXVisuals" "True"
Option "TripleBuffer" "true"
no Section "Screen"



[10] Comentário enviado por Raug em 21/03/2007 - 23:11h

acho q fiz [*****]

essas duas linhas ja tinham
Option "AddARGBGLXVisuals" "True"
Option "TripleBuffer" "true

e logo em baixo delas coloquei essa
no Section "Screen"


agora qdo vo abrir o ubuntu da erro no X e so abre em modo de"console" nao sei como vcs chamam, mas parece o antigo DOS

como arrumar o arquivo xorg.conf?
to achando q a linha q adicionei: no Section "Screen" , q esta dando erro no ubuntu

vlw

[11] Comentário enviado por cl4os em 22/03/2007 - 20:14h

não consigo nada disso, alguem pode me ajudar pelo email, devo ser muito mane msm, to tomando o maior coro.
PS esse forum e d+

[12] Comentário enviado por macellobravin em 30/03/2007 - 12:05h

Ola, se alguem tiver problema cmo eu tiver no update use essas linhs tb.

deb http://ubuntu.beryl-project.org/">http://ubuntu.beryl-project.org/ edgy main
deb-src http://ubuntu.beryl-project.org edgy main

Salve e saia do editor.

agora adquirir chaves CPG para autenticar os pacotes que serão baixados.

wget http://ubuntu.beryl-project.org/">http://ubuntu.beryl-project.org/[email protected] -O- | sudo apt-key add -

Atualize a lista de pacotes com o comando:

sudo apt-get update

e pronto.
espero ter ajudado.

[13] Comentário enviado por paulloal em 02/04/2007 - 14:04h

to com problema.. deu isso aqui quando eu fui da um
$ beryl-manager

deu isso:

[email protected]:~$ XGL Absent, checking for NVIDIA
Nvidia Present
Relaunching beryl with __GL_YIELD="NOTHING"
XGL Absent, checking for NVIDIA
Nvidia Present
beryl: No composite extension

ALGUEM ME AJUDAAAAAAAAAAAAAAAA!!
hehe

[14] Comentário enviado por joaopf em 02/04/2007 - 20:17h

Será que vc está com a aceleração 3D ligada ?
digite glxgears no console e veja se as engrenagens viram rápido.
E se digitar 'glxinfo | grep direct' no console, resulta em 'direct rendering: Yes'?

Tente reinstalar o driver nvidia novamente.

[15] Comentário enviado por ralmei em 04/04/2007 - 11:54h

Excelente este post, mas aí vai uma dica, sempre que for instalar algo que comprometa a utilização do xorg.conf, realize um backup antes, e encontrei um post com a linha abaixo:

Section “Extensions”
Option “Composite” “Enable”
EndSection

Não é necessário incluir a linha acima se sua placa for uma NVidia FX5200 - 128MB

[16] Comentário enviado por willemarf em 13/04/2007 - 04:24h

to tendo problemas no kubuntu pra instala nvidia so consigo instala pelo automatix quero instala no console vo tenta ... isso vlw

[17] Comentário enviado por fragmator em 23/04/2007 - 20:00h

meu problema é que de nenhum modo tentado nesse tutorial ou em outro consigo instalar o beryl, instalei o beryl em um computador com uma placa de video intel, mas ta sendo muita onda com essa nvidia aqui, caso alguém queira saber é uma 6600GT, alguém pode me ajudar?

[18] Comentário enviado por fragmator em 23/04/2007 - 20:20h

Alias, é isso que aparece quando tento instalar o beryl

Os pacotes a seguir têm dependências desencontradas:
beryl: Depende: beryl-core mas não vai ser instalado
Depende: libberylsettings0 mas não vai ser instalado
Depende: beryl-plugins mas não vai ser instalado
Depende: beryl-settings mas não vai ser instalado
Depende: emerald mas não vai ser instalado ou
aquamarine mas não vai ser instalado ou
heliodor mas não vai ser instalado ou
yawd mas não está instalável ou
compiz-gnome mas não vai ser instalado
emerald-themes: Depende: emerald (>= 0.1) mas não vai ser instalado
E: Pacotes quebrados

[19] Comentário enviado por joaopf em 26/04/2007 - 23:23h

O servidor do arquivo sources ("deb http://beryl-mirror.lupine.me.uk edgy main") não existe mais! Pode ser utilizado este outro servidor, passado pelo nosso colega cacjorge.

deb http://ubuntu.beryl-project.org/ edgy main

Mais informações em: http://www.spectrum.eti.br/news/instalando_o_beryl_drivers_nvidia_no_ubuntu_6_10_edgy

[20] Comentário enviado por daninja em 21/05/2007 - 17:34h

estou com muituss problemas na instalacao do NVIDIA
o link deb http://beryl-mirror.lupine.me.uk edgy main naum existe mais
e quando eu uso deb http://ubuntu.beryl-project.org/ edgy main
consigo dar o update de boas .. mas quando termino a instalacao o drive naum funfa ... quando reinicia a tela fica cinza piscando e se eu habilito os efeitos de area de trabalho o pc trava ...
eu consegui instala uma vez os driver pelo deb http://beryl-mirror.lupine.me.uk, mas por esse outro link eu naum consigo
tem algum outro link ou mirror ?
sou novato no linux tabm estou tento muitas dificuldades com essa instalacao
estou com ubuntu 7.04 e uma placa GeForce Fx5500

[21] Comentário enviado por sinistro em 31/05/2007 - 15:34h

Ao rodar o comando beryl-manager apresenta a seguinte mensagem:

Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Error: couldn't find RGB GLX visual
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".
Xlib: extension "GLX" missing on display ":0.0".

Vi o comentário do Raug logo acima tentei executar a dica que o joaopf passou mas o problema persiste

Alguem pode ajudar ?
Valeus

[22] Comentário enviado por danbrilo em 03/06/2007 - 18:00h

oi pessoal
gostaria de saber se esse tutorial serve para a versão 7.04 (Feisty Fawn)
???

obrigado

[23] Comentário enviado por GVale em 07/06/2007 - 22:32h

Galera, eu tentei fazer a instalação, só que quando rodou a instalação do driver, apareceu alguma informação do tipo que precisava compilar algum módulo específico para o meu kernel, porque não estava sendo localizado no site da NVIDIA. A instalação foi concluída, mas depois disso não consigo iniciar o GNOME de jeito nenhum! A informação que aparece é de que a configuração para o GNOME não está correta. Aì já viu, né? Eu, usuário avançado de Windows, mas não sei PN de linux, não consigo fazer absolutamente mais nada porque estou sem a interface gráfiica... Alguém pode me ajudar?

[24] Comentário enviado por julianox em 10/08/2007 - 19:05h

Ola, depois que fiz as atualizações do Ubuntu 6.10 não consigo prossegui porque sempre aparece esse erro:
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem
Como posso corrigi isso.
Ja tentei iniciar o processo , e nada!

[25] Comentário enviado por bruno_nb4 em 18/10/2007 - 13:09h

onde eu posso conseguir um driver proprio para o linux ubunto 7.0, pois eu quero habilitar as opçoes 3d e nao conmsigo sem o driver


Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts